import 'dart:async';

import 'package:meta/meta.dart';

@immutable
class AuthTokenConfig {
  final FutureOr<String> Function() getIdToken;
  final FutureOr<void> Function() refresh;

  const AuthTokenConfig({
    required this.getIdToken,
    required this.refresh,
  });
}
