enum TextFilterOperator {
  equal,
  notEqual,
  contain,
  notContain,
  startsWith,
  endsWith,
  isNull,
  isNotNull,
}

enum SelectFilterOperator {
  equal,
  notEqual,
  isNull,
  isNotNull,
}

enum NumberFilterOperator {
  equal,
  notEqual,
  greaterThan,
  lessThan,
  greaterThanOrEqual,
  lessThanOrEqual,
  isNull,
  isNotNull
}

enum BooleanFilterOperator {
  equal,
  notEqual,
  isNull,
  isNotNull,
}

enum DateFilterOperator {
  equal,
  notEqual,
  before,
  after,
  isNull,
  isNotNull,
}

enum UrlFilterOperator {
  equal,
  notEqual,
  contain,
  notContain,
  isNull,
  isNotNull,
}

enum EmailFilterOperator {
  equal,
  notEqual,
  contain,
  notContain,
  isNull,
  isNotNull,
}

enum TableFilterOperator {
  equal,
  notEqual,
  isNull,
  isNotNull,
}

enum PhoneNumberFilterOperator {
  equal,
  notEqual,
  contain,
  notContain,
  isNull,
  isNotNull,
}

enum UserpoolFilterOperator {
  equal,
  notEqual,
  isNull,
  isNotNull,
}

enum SortConditionDirection {
  ascending,
  descending,
}

enum DownloadFormat {
  csv,
}
