import 'package:json_annotation/json_annotation.dart';

part 'test_fields.g.dart';

@JsonSerializable()
class TestFields {
  @JsonKey(name: 'field_boolean')
  final bool fieldBoolean;

  const TestFields({
    required this.fieldBoolean,
  });

  static Map<String, dynamic> toJson(TestFields data) =>
      _$TestFieldsToJson(data);

  factory TestFields.fromJson(Map<String, dynamic> json) =>
      _$TestFieldsFromJson(json);
}
